NXWidgets: NXWidgets::CWidgetEventHandler Class Reference

NXWidgets 1.19

Public Member Functions | List of all members
NXWidgets::CWidgetEventHandler Class Reference

`#include <cwidgeteventhandler.hxx>`

Inheritance diagram for NXWidgets::CWidgetEventHandler:

## Public Member Functions
| CWidgetEventHandler ()
virtual | ~CWidgetEventHandler ()
virtual void | handleClickEvent (const CWidgetEventArgs &e)
virtual void | handleDragEvent (const CWidgetEventArgs &e)
virtual void | handleDropEvent (const CWidgetEventArgs &e)
virtual void | handleReleaseEvent (const CWidgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const CWidgetEventArgs &e)
virtual void | handleKeyPressEvent (const CWidgetEventArgs &e)
virtual void | handleCursorControlEvent (const CWidgetEventArgs &e)
virtual void | handleFocusEvent (const CWidgetEventArgs &e)
virtual void | handleBlurEvent (const CWidgetEventArgs &e)
virtual void | handleCloseEvent (const CWidgetEventArgs &e)
virtual void | handleHideEvent (const CWidgetEventArgs &e)
virtual void | handleShowEvent (const CWidgetEventArgs &e)
virtual void | handleEnableEvent (const CWidgetEventArgs &e)
virtual void | handleDisableEvent (const CWidgetEventArgs &e)
virtual void | handleValueChangeEvent (const CWidgetEventArgs &e)
virtual void | handleResizeEvent (const CWidgetEventArgs &e)
virtual void | handleMoveEvent (const CWidgetEventArgs &e)
virtual void | handleScrollEvent (const CWidgetEventArgs &e)
virtual void | handleDoubleClickEvent (const CWidgetEventArgs &e)
virtual void | handleActionEvent (const CWidgetEventArgs &e)

## Detailed Description

Base CWidgetEventHandler class, intended to be subclassed. Any class that needs to listen for widget events should inherit from this class.

Definition at line 103 of file cwidgeteventhandler.hxx.

## Constructor & Destructor Documentation

## ◆ CWidgetEventHandler()

NXWidgets::CWidgetEventHandler::CWidgetEventHandler | ( |  | ) |
| inline

Constructor.

Definition at line 110 of file cwidgeteventhandler.hxx.

## ◆ ~CWidgetEventHandler()

virtual NXWidgets::CWidgetEventHandler::~CWidgetEventHandler | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 116 of file cwidgeteventhandler.hxx.

## Member Function Documentation

## ◆ handleActionEvent()

virtual void NXWidgets::CWidgetEventHandler::handleActionEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget action event. For CImage, this is a mouse button pre-release event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, NxWM::CMediaPlayer, NXWidgets::CScrollbarHorizontal, NXWidgets::CScrollbarVertical, NxWM::CTaskbar, NxWM::CHexCalculator, NxWM::CStartWindow, NXWidgets::CNumericEdit, NxWM::CApplicationWindow, and NXWidgets::CTabPanel.

Definition at line 278 of file cwidgeteventhandler.hxx.

## ◆ handleBlurEvent()

virtual void NXWidgets::CWidgetEventHandler::handleBlurEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget blur event.

Parameters

  e | The event data.

Definition at line 190 of file cwidgeteventhandler.hxx.

## ◆ handleClickEvent()

virtual void NXWidgets::CWidgetEventHandler::handleClickEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a mouse button click event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, NXWidgets::CScrollbarHorizontal, NXWidgets::CScrollbarVertical, NXWidgets::CRadioButtonGroup, and NXWidgets::CNumericEdit.

Definition at line 124 of file cwidgeteventhandler.hxx.

## ◆ handleCloseEvent()

virtual void NXWidgets::CWidgetEventHandler::handleCloseEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget close event.

Parameters

  e | The event data.

Definition at line 198 of file cwidgeteventhandler.hxx.

## ◆ handleCursorControlEvent()

virtual void NXWidgets::CWidgetEventHandler::handleCursorControlEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a cursor control event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CTextBox, and NXWidgets::CMultiLineTextBox.

Definition at line 174 of file cwidgeteventhandler.hxx.

## ◆ handleDisableEvent()

virtual void NXWidgets::CWidgetEventHandler::handleDisableEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget disable event.

Parameters

  e | The event data.

Definition at line 230 of file cwidgeteventhandler.hxx.

## ◆ handleDoubleClickEvent()

virtual void NXWidgets::CWidgetEventHandler::handleDoubleClickEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget double-click event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, and NXWidgets::CRadioButtonGroup.

Definition at line 270 of file cwidgeteventhandler.hxx.

## ◆ handleDragEvent()

virtual void NXWidgets::CWidgetEventHandler::handleDragEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a mouse button drag event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CSliderHorizontal, NXWidgets::CSliderVertical, NXWidgets::CGlyphSliderHorizontal, and NXWidgets::CNumericEdit.

Definition at line 132 of file cwidgeteventhandler.hxx.

## ◆ handleDropEvent()

virtual void NXWidgets::CWidgetEventHandler::handleDropEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a drop event, triggered when the widget has been dragged-and-dropped.

Parameters

  e | The event data.

Definition at line 140 of file cwidgeteventhandler.hxx.

## ◆ handleEnableEvent()

virtual void NXWidgets::CWidgetEventHandler::handleEnableEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget enable event.

Parameters

  e | The event data.

Definition at line 222 of file cwidgeteventhandler.hxx.

## ◆ handleFocusEvent()

virtual void NXWidgets::CWidgetEventHandler::handleFocusEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a key repeat event.

Parameters

  e | The event data.

Definition at line 182 of file cwidgeteventhandler.hxx.

## ◆ handleHideEvent()

virtual void NXWidgets::CWidgetEventHandler::handleHideEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget hide event.

Parameters

  e | The event data.

Definition at line 206 of file cwidgeteventhandler.hxx.

## ◆ handleKeyPressEvent()

virtual void NXWidgets::CWidgetEventHandler::handleKeyPressEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a key press event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CTextBox, and NXWidgets::CMultiLineTextBox.

Definition at line 166 of file cwidgeteventhandler.hxx.

## ◆ handleMoveEvent()

virtual void NXWidgets::CWidgetEventHandler::handleMoveEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget move event.

Parameters

  e | The event data.

Definition at line 254 of file cwidgeteventhandler.hxx.

## ◆ handleReleaseEvent()

virtual void NXWidgets::CWidgetEventHandler::handleReleaseEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a mouse button release event that occurred within the bounds of the source widget.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, NxWM::CMediaPlayer, NXWidgets::CScrollbarHorizontal, NXWidgets::CScrollbarVertical, NXWidgets::CRadioButtonGroup, and NXWidgets::CNumericEdit.

Definition at line 149 of file cwidgeteventhandler.hxx.

## ◆ handleReleaseOutsideEvent()

virtual void NXWidgets::CWidgetEventHandler::handleReleaseOutsideEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a mouse button release event that occurred outside the bounds of the source widget.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, NxWM::CMediaPlayer, NXWidgets::CScrollbarHorizontal, NXWidgets::CScrollbarVertical, NXWidgets::CRadioButtonGroup, and NXWidgets::CNumericEdit.

Definition at line 158 of file cwidgeteventhandler.hxx.

## ◆ handleResizeEvent()

virtual void NXWidgets::CWidgetEventHandler::handleResizeEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget resize event.

Parameters

  e | The event data.

Definition at line 246 of file cwidgeteventhandler.hxx.

## ◆ handleScrollEvent()

virtual void NXWidgets::CWidgetEventHandler::handleScrollEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget scroll event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, NXWidgets::CScrollingTextBox, and NXWidgets::CScrollbarPanel.

Definition at line 262 of file cwidgeteventhandler.hxx.

## ◆ handleShowEvent()

virtual void NXWidgets::CWidgetEventHandler::handleShowEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget show event.

Parameters

  e | The event data.

Definition at line 214 of file cwidgeteventhandler.hxx.

## ◆ handleValueChangeEvent()

virtual void NXWidgets::CWidgetEventHandler::handleValueChangeEvent | ( | const CWidgetEventArgs & | e | ) |
| inlinevirtual

Handle a widget value change event.

Parameters

  e | The event data.

Reimplemented in NXWidgets::CScrollingListBox, NXWidgets::CScrollingTextBox, NxWM::CMediaPlayer, NXWidgets::CScrollbarPanel, NXWidgets::CScrollbarHorizontal, and NXWidgets::CScrollbarVertical.

Definition at line 238 of file cwidgeteventhandler.hxx.

The documentation for this class was generated from the following file:

- cwidgeteventhandler.hxx